with GNATCOM.Dispinterface;

package MSHTML.ISVGAnimatedPathData_Object is

   type ISVGAnimatedPathData_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure PutRef_pathSegList
     (This : ISVGAnimatedPathData_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_pathSegList
     (This : ISVGAnimatedPathData_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_normalizedPathSegList
     (This : ISVGAnimatedPathData_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_normalizedPathSegList
     (This : ISVGAnimatedPathData_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_animatedPathSegList
     (This : ISVGAnimatedPathData_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_animatedPathSegList
     (This : ISVGAnimatedPathData_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_animatedNormalizedPathSegList
     (This : ISVGAnimatedPathData_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_animatedNormalizedPathSegList
     (This : ISVGAnimatedPathData_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.ISVGAnimatedPathData_Object;

